#!/usr/bin/env python3
# -*- coding: utf-8 -*-

"""
List of wind power projects in Vietnam, 2021-01

Desribe the dataset.

Created on Tue Jan 19 11:40:05 2021

@author: haduong@centre-cired.fr

"""

from windprojects import data


print('Number of records and number of fields =', data.shape)
print('Number of records with Normal status =',
      data['Status'].value_counts()['Normal'])
print('Number of records with investment amount =',
      data['investment'].count())
print()
print('Number of projects by status:')
print(data['Status'].value_counts())
print()
normal = data.loc[data['Status'] == 'Normal']
print('Number of Normal status projects by Project stage:')
print(normal['Project stage'].value_counts())
print()
print('Number of Normal status projects by Location type:')
print(normal['Location type'].value_counts(dropna=False))
print()
print('Turbine fields in Normal status projects:')
print(normal['Turbines'].value_counts(dropna=False))
print()
print('Number of Normal status projects:')
print(normal['Turbines'].value_counts(dropna=False))
